/*
 * Copyright (c) 2015 oracle.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    oracle - initial API and implementation and/or initial documentation
 */

package com.tasktop.c2c.server.deployment.domain;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author oracle
 */
public class DeploymentActivityStub {
    DeploymentActivity activity;
    Map<String, Object> properties;
    
    public DeploymentActivityStub() {
        properties = new HashMap<String, Object>();
    }
    
    public DeploymentActivityStub( DeploymentActivity activity ) {
        this();
        this.activity = activity;
    }
    
    public DeploymentActivity getActivity() {
        return activity;
    }
    
    public void setActivity( DeploymentActivity activity ) {
        this.activity = activity;
    }    
    
    public Map<String, Object> getProperties() {
        return properties;
    }
    
    public void setActivity( Map<String, Object> properties ) {
        this.properties = properties;
    }
    
    public Object getProperty( String name ) {
        return properties.get(name);
    }
    
    public void setProperty( String name, Object value ) {
        properties.put(name, value);
    }
}
