/*******************************************************************************
 * Copyright (c) 2010, 2013 Tasktop Technologies
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Tasktop Technologies - initial API and implementation
 ******************************************************************************/
package com.tasktop.c2c.server.deployment.domain;

import java.io.Serializable;

/**
 * @author rwidyono (Tasktop Technologies Inc.)
 * 
 *         Composite of DeploymentActivity with its corresponding DeploymentConfiguration, for reporting to the activity
 *         stream.
 * 
 */
@SuppressWarnings("serial")
public class DeploymentConfigActivity implements Serializable {

	private DeploymentActivity _activity;
	private DeploymentConfiguration _configuration;
        private String _buildJobDisplayName;

	public DeploymentConfigActivity() {
		// No-op
	}

	public DeploymentConfigActivity(DeploymentActivity activity, DeploymentConfiguration configuration) {
		this.setActivity(activity);
		this.setConfiguration(configuration);
	}

	/**
	 * @return the _activity
	 */
	public DeploymentActivity getActivity() {
		return _activity;
	}

	/**
	 * @param _activity
	 *            the _activity to set
	 */
	public void setActivity(DeploymentActivity _activity) {
		this._activity = _activity;
	}

	/**
	 * @return the _configuration
	 */
	public DeploymentConfiguration getConfiguration() {
		return _configuration;
	}

	/**
	 * @param _configuration
	 *            the _configuration to set
	 */
	public void setConfiguration(DeploymentConfiguration _configuration) {
		this._configuration = _configuration;
	}

	/**
	 * @return the _buildJobDisplayName
	 */
        public String getBuildJobDisplayName() {
                return _buildJobDisplayName;
        }
        
	/**
	 * @param _buildJobDisplayName
	 *            the _buildJobDisplayName to set
	 */
	public void setBuildJobDisplayName(String _buildJobDisplayName) {
		this._buildJobDisplayName = _buildJobDisplayName;
	}
}
